
package de.ivu.elect.exchange.person;

import java.util.List;

import javax.enterprise.inject.Instance;
import javax.inject.Inject;

import de.ivu.elect.business.exchange.control.NoContext;
import de.ivu.elect.business.person.control.BerufImportExchange;
import de.ivu.elect.business.person.entity.Beruf;
import de.ivu.elect.exchange.AbstractImportExchange;

public class DefaultBerufImportExchange extends AbstractImportExchange<List<Beruf>, NoContext> implements BerufImportExchange {

  @Inject
  private transient Instance<BerufMapper> mapper;

  public DefaultBerufImportExchange() {
    super();
  }

  @Override
  protected Iterable<BerufMapper> getAllSupportedMapper() {
    return mapper;
  }
}
